<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: field/htot.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_00a13ab5e3afe633796d5c180ae90994.html">field</a>
  </div>
</div>
<div class="contents">
<h1>htot.c File Reference</h1><code>#include &quot;<a class="el" href="field_8h_source.html">field.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for htot.c:</div>
<div class="dynsection">
<div class="center"><img src="htot_8c__incl.png" border="0" usemap="#field_2htot_8c_map" alt=""/></div>
<map name="field_2htot_8c_map" id="field_2htot_8c">
<area shape="rect" id="node3" href="field_8h.html" title="field.h" alt="" coords="173,86,229,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="htot_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="htot_8c.html#a85ee39fe66d72226d10cb331fda60cd1">Htot_Init</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="htot_8c.html#ab9d30ce64708afeca163280386deb654">Htot</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443">Htot_Gradient</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="htot_8c.html#a8ad42d15c17241a1313243ebd0d0ab11">CalcEnergy</a> (Vec M, <a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="htot_8c.html#a09d3a5bbcb3e65c1e4c7e22818377b13">Htot_Energy</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="htot_8c.html#a23837f4926a3a0dc211d349e16a9df87">Htot_EminiEnergy</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, PetscReal *f)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a8ad42d15c17241a1313243ebd0d0ab11"></a><!-- doxytag: member="htot.c::CalcEnergy" ref="a8ad42d15c17241a1313243ebd0d0ab11" args="(Vec M, GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CalcEnergy </td>
          <td>(</td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>M</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="htot_8c_source.html#l00176">176</a> of file <a class="el" href="htot_8c_source.html">htot.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00250">GridData::Edem</a>, <a class="el" href="griddata_8h_source.html#l00252">GridData::Eexchani</a>, <a class="el" href="griddata_8h_source.html#l00258">GridData::Eext</a>, <a class="el" href="griddata_8h_source.html#l00260">GridData::Etot</a>, <a class="el" href="hcubic_8c_source.html#l00198">Hcubic_Energy()</a>, <a class="el" href="hdemag_8c_source.html#l01063">Hdemag_Energy()</a>, <a class="el" href="helastic_8c_source.html#l00391">Helastic_Energy()</a>, <a class="el" href="hexch__ani_8c_source.html#l00447">Hexchani_Energy()</a>, <a class="el" href="hexternal_8c_source.html#l00098">Hexternal_Energy()</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, <a class="el" href="griddata_8h_source.html#l00263">GridData::totvol</a>, and <a class="el" href="griddata_8h_source.html#l00249">GridData::VMs3</a>.</p>

<p>Referenced by <a class="el" href="htot_8c_source.html#l00228">Htot_EminiEnergy()</a>, and <a class="el" href="htot_8c_source.html#l00215">Htot_Energy()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="htot_8c_a8ad42d15c17241a1313243ebd0d0ab11_cgraph.png" border="0" usemap="#htot_8c_a8ad42d15c17241a1313243ebd0d0ab11_cgraph_map" alt=""></div>
<map name="htot_8c_a8ad42d15c17241a1313243ebd0d0ab11_cgraph_map" id="htot_8c_a8ad42d15c17241a1313243ebd0d0ab11_cgraph">
<area shape="rect" id="node3" href="field_8h.html#aea497be5e9a188c3f1627b6692951515" title="Hcubic_Energy" alt="" coords="149,5,259,35"/><area shape="rect" id="node5" href="field_8h.html#aed83146289258f6f29a808dc50853f65" title="Hdemag_Energy" alt="" coords="145,58,263,89"/><area shape="rect" id="node7" href="field_8h.html#a67380d67fc85c798265c8a83d73f5388" title="Helastic_Energy" alt="" coords="147,111,261,142"/><area shape="rect" id="node9" href="field_8h.html#a733ba0411bb628270a030775416d902a" title="Hexchani_Energy" alt="" coords="143,165,265,195"/><area shape="rect" id="node11" href="field_8h.html#abab705ab0b3df8ea71709f470033aee2" title="Hexternal_Energy" alt="" coords="143,218,265,249"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="htot_8c_a8ad42d15c17241a1313243ebd0d0ab11_icgraph.png" border="0" usemap="#htot_8c_a8ad42d15c17241a1313243ebd0d0ab11_icgraph_map" alt=""></div>
<map name="htot_8c_a8ad42d15c17241a1313243ebd0d0ab11_icgraph_map" id="htot_8c_a8ad42d15c17241a1313243ebd0d0ab11_icgraph">
<area shape="rect" id="node3" href="htot_8c.html#a23837f4926a3a0dc211d349e16a9df87" title="Htot_EminiEnergy" alt="" coords="141,177,267,207"/><area shape="rect" id="node5" href="htot_8c.html#a09d3a5bbcb3e65c1e4c7e22818377b13" title="Htot_Energy" alt="" coords="157,230,251,261"/><area shape="rect" id="node7" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="664,354,749,385"/><area shape="rect" id="node9" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1000,197,1059,227"/><area shape="rect" id="node13" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="861,302,915,333"/><area shape="rect" id="node18" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="453,81,589,111"/><area shape="rect" id="node23" href="writelog__pid_8c.html#aa63307197e81d27990850ea179eb5187" title="WriteLogPid" alt="" coords="315,230,405,261"/><area shape="rect" id="node11" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1107,223,1157,254"/><area shape="rect" id="node20" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="825,93,951,123"/><area shape="rect" id="node25" href="writelog_8c.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="485,230,557,261"/><area shape="rect" id="node27" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="637,250,776,281"/><area shape="rect" id="node31" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="643,197,771,227"/><area shape="rect" id="node35" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="668,93,745,123"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ab9d30ce64708afeca163280386deb654"></a><!-- doxytag: member="htot.c::Htot" ref="ab9d30ce64708afeca163280386deb654" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Htot </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="htot_8c_source.html#l00055">55</a> of file <a class="el" href="htot_8c_source.html">htot.c</a>.</p>

<p>References <a class="el" href="hcubic_8c_source.html#l00064">Hcubic()</a>, <a class="el" href="hdemag_8c_source.html#l00774">Hdemag()</a>, <a class="el" href="helastic_8c_source.html#l00186">Helastic()</a>, <a class="el" href="hexch__ani_8c_source.html#l00421">Hexchani()</a>, <a class="el" href="hexternal_8c_source.html#l00055">Hexternal()</a>, <a class="el" href="htot_8c_source.html#l00041">Htot_Init()</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, and <a class="el" href="griddata_8h_source.html#l00259">GridData::VHtot</a>.</p>

<p>Referenced by <a class="el" href="calc__dMdt_8c_source.html#l00034">calc_dMdt()</a>, <a class="el" href="eminisolve_8c_source.html#l00466">EminiSolve()</a>, <a class="el" href="htot_8c_source.html#l00096">Htot_Gradient()</a>, <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>, and <a class="el" href="precond_8c_source.html#l00327">Precond()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="htot_8c_ab9d30ce64708afeca163280386deb654_cgraph.png" border="0" usemap="#htot_8c_ab9d30ce64708afeca163280386deb654_cgraph_map" alt=""></div>
<map name="htot_8c_ab9d30ce64708afeca163280386deb654_cgraph_map" id="htot_8c_ab9d30ce64708afeca163280386deb654_cgraph">
<area shape="rect" id="node3" href="field_8h.html#ace2ad4bc212a40902a58d3bfdaa0518a" title="Hcubic" alt="" coords="109,105,171,135"/><area shape="rect" id="node7" href="field_8h.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="105,211,175,242"/><area shape="rect" id="node41" href="field_8h.html#a97e3d5671797656fb91afa5e61778e74" title="Helastic" alt="" coords="105,158,175,189"/><area shape="rect" id="node47" href="field_8h.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="103,265,177,295"/><area shape="rect" id="node54" href="field_8h.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="101,530,179,561"/><area shape="rect" id="node91" href="htot_8c.html#a85ee39fe66d72226d10cb331fda60cd1" title="Htot_Init" alt="" coords="105,583,175,614"/><area shape="rect" id="node5" href="hcubic_8c.html#a01373c5662322678c71a3420ab8b0790" title="Hcubic_Init" alt="" coords="236,105,321,135"/><area shape="rect" id="node9" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="232,211,325,242"/><area shape="rect" id="node11" href="bmatrix_8c.html#a02081555af5c4ef64cc4674f52b4d446" title="BMatrix" alt="" coords="407,159,473,190"/><area shape="rect" id="node17" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="564,55,671,86"/><area shape="rect" id="node24" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="571,213,664,243"/><area shape="rect" id="node31" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="393,263,487,294"/><area shape="rect" id="node37" href="elevertvol_8c.html#add57a81e67724a47fc306e81ccec2a5e" title="tetgrad" alt="" coords="409,317,471,347"/><area shape="rect" id="node13" href="bele_8c.html#affb52b9f2b0f2fd0d97c0519704464c8" title="Bele" alt="" coords="765,162,813,193"/><area shape="rect" id="node26" href="bmatrix_8c.html#a6ef9ef50f16bc7123b3585a730fa9afa" title="VertBSA" alt="" coords="581,109,653,139"/><area shape="rect" id="node15" href="solidangle_8c.html#a11f1b219c8bea88b0d4efaa49d9e109e" title="PointFromPlane" alt="" coords="895,122,1007,153"/><area shape="rect" id="node19" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="893,42,1008,73"/><area shape="rect" id="node21" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="743,55,836,86"/><area shape="rect" id="node28" href="solidangle_8c.html#a1e2c6c7a1101373c5702b927ca66405f" title="SolidAngle" alt="" coords="748,109,831,139"/><area shape="rect" id="node33" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="567,266,668,297"/><area shape="rect" id="node39" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d" title="tetvol" alt="" coords="591,319,644,350"/><area shape="rect" id="node43" href="helastic_8c.html#a396340125882d5038a4dbdadc4468699" title="Helastic_Init" alt="" coords="232,158,325,189"/><area shape="rect" id="node45" href="helastic_8c.html#af12c767230bdb7467dd25210d5fefe50" title="ReadProp" alt="" coords="401,5,479,35"/><area shape="rect" id="node49" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="228,265,329,295"/><area shape="rect" id="node56" href="field_8h.html#a2866a2d9dd35b17789e06b1b79ab72cc" title="Hext_cu" alt="" coords="244,717,313,747"/><area shape="rect" id="node60" href="field_8h.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="244,530,313,561"/><area shape="rect" id="node78" href="field_8h.html#a30cb382d2ba1eb8b00264cf43ce43e05" title="Hext_kq" alt="" coords="244,583,313,614"/><area shape="rect" id="node82" href="field_8h.html#a66aec7a3ca42c0059d2b330ca937a555" title="Hext_py" alt="" coords="244,423,313,454"/><area shape="rect" id="node89" href="hexternal_8c.html#a3459c1707cc058f462cb730e78809f17" title="Hexternal_Init" alt="" coords="228,637,329,667"/><area shape="rect" id="node58" href="hext__cu_8c.html#ad490e336bf2582884e7e3191bd37891a" title="Hext_cu_Init" alt="" coords="393,743,487,774"/><area shape="rect" id="node62" href="ipol_8c.html#a3e2699b016b84132ec08d3795b951dd9" title="getscalf" alt="" coords="407,583,473,614"/><area shape="rect" id="node64" href="field_8h.html#a2e1ef17932652e8d616587011fb09c63" title="Hext_ho_hsweep" alt="" coords="380,477,500,507"/><area shape="rect" id="node66" href="hext__ho_8c.html#aa7f4b51477b5dcd5afd1f4b73ffde571" title="Hext_ho_Init" alt="" coords="393,637,487,667"/><area shape="rect" id="node76" href="util_8h.html#aa88f92d349ee3335807573e6ff373963" title="VecSetVec" alt="" coords="397,530,483,561"/><area shape="rect" id="node68" href="hext__ho_8c.html#aed1404d744513b58ba58166a487dcbdf" title="Hext_ho_hstep_Init" alt="" coords="551,610,684,641"/><area shape="rect" id="node72" href="hext__ho_8c.html#ad61d58b7779a7d182a09c9becae36af1" title="Hext_ho_ht_Init" alt="" coords="561,663,673,694"/><area shape="rect" id="node70" href="field_8h.html#a567e7efd2748f5b33963b581ed12626c" title="read_hstep_file" alt="" coords="735,610,844,641"/><area shape="rect" id="node74" href="ipol_8c.html#a7c6add33a29c7ae759615a08798ee75d" title="readht" alt="" coords="760,663,819,694"/><area shape="rect" id="node80" href="hext__kq_8c.html#aac24a1f9bfe67ce4a008a31375cb1d01" title="Hext_kq_Init" alt="" coords="393,690,487,721"/><area shape="rect" id="node84" href="hext__py_8c.html#a9570f5d09accfa97e676f862b1acb592" title="hext_f" alt="" coords="411,423,469,454"/><area shape="rect" id="node86" href="hext__py_8c.html#a53aac86dc06657ac5dc89f8f21bd4a70" title="Hext_py_Init" alt="" coords="393,370,487,401"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="htot_8c_ab9d30ce64708afeca163280386deb654_icgraph.png" border="0" usemap="#htot_8c_ab9d30ce64708afeca163280386deb654_icgraph_map" alt=""></div>
<map name="htot_8c_ab9d30ce64708afeca163280386deb654_icgraph_map" id="htot_8c_ab9d30ce64708afeca163280386deb654_icgraph">
<area shape="rect" id="node3" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="112,213,195,243"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="971,109,1029,139"/><area shape="rect" id="node32" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="815,215,900,246"/><area shape="rect" id="node36" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="103,5,204,35"/><area shape="rect" id="node42" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="119,159,188,190"/><area shape="rect" id="node5" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="793,162,921,193"/><area shape="rect" id="node14" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="283,109,360,139"/><area shape="rect" id="node19" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="275,213,368,243"/><area shape="rect" id="node11" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="973,162,1027,193"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1077,135,1128,166"/><area shape="rect" id="node16" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="439,5,564,35"/><area shape="rect" id="node21" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="463,159,540,190"/><area shape="rect" id="node26" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="455,213,548,243"/><area shape="rect" id="node23" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="613,109,744,139"/><area shape="rect" id="node28" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="652,162,705,193"/><area shape="rect" id="node38" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="253,5,389,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a23837f4926a3a0dc211d349e16a9df87"></a><!-- doxytag: member="htot.c::Htot_EminiEnergy" ref="a23837f4926a3a0dc211d349e16a9df87" args="(GridData *gdata, PetscReal *f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Htot_EminiEnergy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>f</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="htot_8c_source.html#l00228">228</a> of file <a class="el" href="htot_8c_source.html">htot.c</a>.</p>

<p>References <a class="el" href="htot_8c_source.html#l00176">CalcEnergy()</a>, <a class="el" href="griddata_8h_source.html#l00260">GridData::Etot</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, <a class="el" href="griddata_8h_source.html#l00147">GridData::mode</a>, <a class="el" href="griddata_8h_source.html#l00263">GridData::totvol</a>, and <a class="el" href="griddata_8h_source.html#l00249">GridData::VMs3</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="htot_8c_a23837f4926a3a0dc211d349e16a9df87_cgraph.png" border="0" usemap="#htot_8c_a23837f4926a3a0dc211d349e16a9df87_cgraph_map" alt=""></div>
<map name="htot_8c_a23837f4926a3a0dc211d349e16a9df87_cgraph_map" id="htot_8c_a23837f4926a3a0dc211d349e16a9df87_cgraph">
<area shape="rect" id="node3" href="htot_8c.html#a8ad42d15c17241a1313243ebd0d0ab11" title="CalcEnergy" alt="" coords="179,111,267,142"/><area shape="rect" id="node5" href="field_8h.html#aea497be5e9a188c3f1627b6692951515" title="Hcubic_Energy" alt="" coords="323,5,432,35"/><area shape="rect" id="node7" href="field_8h.html#aed83146289258f6f29a808dc50853f65" title="Hdemag_Energy" alt="" coords="319,58,436,89"/><area shape="rect" id="node9" href="field_8h.html#a67380d67fc85c798265c8a83d73f5388" title="Helastic_Energy" alt="" coords="320,111,435,142"/><area shape="rect" id="node11" href="field_8h.html#a733ba0411bb628270a030775416d902a" title="Hexchani_Energy" alt="" coords="316,165,439,195"/><area shape="rect" id="node13" href="field_8h.html#abab705ab0b3df8ea71709f470033aee2" title="Hexternal_Energy" alt="" coords="316,218,439,249"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a09d3a5bbcb3e65c1e4c7e22818377b13"></a><!-- doxytag: member="htot.c::Htot_Energy" ref="a09d3a5bbcb3e65c1e4c7e22818377b13" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Htot_Energy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="htot_8c_source.html#l00215">215</a> of file <a class="el" href="htot_8c_source.html">htot.c</a>.</p>

<p>References <a class="el" href="htot_8c_source.html#l00176">CalcEnergy()</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, and <a class="el" href="griddata_8h_source.html#l00249">GridData::VMs3</a>.</p>

<p>Referenced by <a class="el" href="eminisolve_8c_source.html#l00466">EminiSolve()</a>, <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>, <a class="el" href="main_8c_source.html#l00285">Solve()</a>, <a class="el" href="eminisolve_8c_source.html#l00076">TaoEvalEnergyGrad()</a>, and <a class="el" href="writelog__pid_8c_source.html#l00235">WriteLogPid()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="htot_8c_a09d3a5bbcb3e65c1e4c7e22818377b13_cgraph.png" border="0" usemap="#htot_8c_a09d3a5bbcb3e65c1e4c7e22818377b13_cgraph_map" alt=""></div>
<map name="htot_8c_a09d3a5bbcb3e65c1e4c7e22818377b13_cgraph_map" id="htot_8c_a09d3a5bbcb3e65c1e4c7e22818377b13_cgraph">
<area shape="rect" id="node3" href="htot_8c.html#a8ad42d15c17241a1313243ebd0d0ab11" title="CalcEnergy" alt="" coords="147,111,235,142"/><area shape="rect" id="node5" href="field_8h.html#aea497be5e9a188c3f1627b6692951515" title="Hcubic_Energy" alt="" coords="291,5,400,35"/><area shape="rect" id="node7" href="field_8h.html#aed83146289258f6f29a808dc50853f65" title="Hdemag_Energy" alt="" coords="287,58,404,89"/><area shape="rect" id="node9" href="field_8h.html#a67380d67fc85c798265c8a83d73f5388" title="Helastic_Energy" alt="" coords="288,111,403,142"/><area shape="rect" id="node11" href="field_8h.html#a733ba0411bb628270a030775416d902a" title="Hexchani_Energy" alt="" coords="284,165,407,195"/><area shape="rect" id="node13" href="field_8h.html#abab705ab0b3df8ea71709f470033aee2" title="Hexternal_Energy" alt="" coords="284,218,407,249"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="htot_8c_a09d3a5bbcb3e65c1e4c7e22818377b13_icgraph.png" border="0" usemap="#htot_8c_a09d3a5bbcb3e65c1e4c7e22818377b13_icgraph_map" alt=""></div>
<map name="htot_8c_a09d3a5bbcb3e65c1e4c7e22818377b13_icgraph_map" id="htot_8c_a09d3a5bbcb3e65c1e4c7e22818377b13_icgraph">
<area shape="rect" id="node3" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="496,354,581,385"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="832,197,891,227"/><area shape="rect" id="node9" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="693,302,747,333"/><area shape="rect" id="node14" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="285,81,421,111"/><area shape="rect" id="node19" href="writelog__pid_8c.html#aa63307197e81d27990850ea179eb5187" title="WriteLogPid" alt="" coords="147,230,237,261"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="939,223,989,254"/><area shape="rect" id="node16" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="657,93,783,123"/><area shape="rect" id="node21" href="writelog_8c.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="317,230,389,261"/><area shape="rect" id="node23" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="469,250,608,281"/><area shape="rect" id="node27" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="475,197,603,227"/><area shape="rect" id="node31" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="500,93,577,123"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a270a74fb6c65379e026cfb5c4de11443"></a><!-- doxytag: member="htot.c::Htot_Gradient" ref="a270a74fb6c65379e026cfb5c4de11443" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Htot_Gradient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="htot_8c_source.html#l00096">96</a> of file <a class="el" href="htot_8c_source.html">htot.c</a>.</p>

<p>References <a class="el" href="hcubic_8c_source.html#l00064">Hcubic()</a>, <a class="el" href="hdemag_8c_source.html#l00774">Hdemag()</a>, <a class="el" href="helastic_8c_source.html#l00186">Helastic()</a>, <a class="el" href="hexch__ani_8c_source.html#l00421">Hexchani()</a>, <a class="el" href="hexternal_8c_source.html#l00055">Hexternal()</a>, <a class="el" href="htot_8c_source.html#l00055">Htot()</a>, <a class="el" href="htot_8c_source.html#l00041">Htot_Init()</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00097">NP</a>, <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>, <a class="el" href="griddata_8h_source.html#l00119">RIGID_M_ALPHA</a>, <a class="el" href="griddata_8h_source.html#l00182">GridData::vertprop</a>, <a class="el" href="griddata_8h_source.html#l00259">GridData::VHtot</a>, and <a class="el" href="griddata_8h_source.html#l00249">GridData::VMs3</a>.</p>

<p>Referenced by <a class="el" href="eminisolve_8c_source.html#l00076">TaoEvalEnergyGrad()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="htot_8c_a270a74fb6c65379e026cfb5c4de11443_cgraph.png" border="0" usemap="#htot_8c_a270a74fb6c65379e026cfb5c4de11443_cgraph_map" alt=""></div>
<map name="htot_8c_a270a74fb6c65379e026cfb5c4de11443_cgraph_map" id="htot_8c_a270a74fb6c65379e026cfb5c4de11443_cgraph">
<area shape="rect" id="node3" href="field_8h.html#ace2ad4bc212a40902a58d3bfdaa0518a" title="Hcubic" alt="" coords="261,158,323,189"/><area shape="rect" id="node7" href="field_8h.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="257,265,327,295"/><area shape="rect" id="node41" href="field_8h.html#a97e3d5671797656fb91afa5e61778e74" title="Helastic" alt="" coords="257,211,327,242"/><area shape="rect" id="node47" href="field_8h.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="255,318,329,349"/><area shape="rect" id="node54" href="field_8h.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="253,423,331,454"/><area shape="rect" id="node91" href="field_8h.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="159,315,204,346"/><area shape="rect" id="node98" href="htot_8c.html#a85ee39fe66d72226d10cb331fda60cd1" title="Htot_Init" alt="" coords="257,477,327,507"/><area shape="rect" id="node5" href="hcubic_8c.html#a01373c5662322678c71a3420ab8b0790" title="Hcubic_Init" alt="" coords="388,157,473,187"/><area shape="rect" id="node9" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="384,263,477,294"/><area shape="rect" id="node11" href="bmatrix_8c.html#a02081555af5c4ef64cc4674f52b4d446" title="BMatrix" alt="" coords="559,159,625,190"/><area shape="rect" id="node17" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="716,55,823,86"/><area shape="rect" id="node24" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="723,213,816,243"/><area shape="rect" id="node31" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="545,263,639,294"/><area shape="rect" id="node37" href="elevertvol_8c.html#add57a81e67724a47fc306e81ccec2a5e" title="tetgrad" alt="" coords="561,317,623,347"/><area shape="rect" id="node13" href="bele_8c.html#affb52b9f2b0f2fd0d97c0519704464c8" title="Bele" alt="" coords="917,162,965,193"/><area shape="rect" id="node26" href="bmatrix_8c.html#a6ef9ef50f16bc7123b3585a730fa9afa" title="VertBSA" alt="" coords="733,109,805,139"/><area shape="rect" id="node15" href="solidangle_8c.html#a11f1b219c8bea88b0d4efaa49d9e109e" title="PointFromPlane" alt="" coords="1047,122,1159,153"/><area shape="rect" id="node19" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="1045,42,1160,73"/><area shape="rect" id="node21" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="895,55,988,86"/><area shape="rect" id="node28" href="solidangle_8c.html#a1e2c6c7a1101373c5702b927ca66405f" title="SolidAngle" alt="" coords="900,109,983,139"/><area shape="rect" id="node33" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="719,266,820,297"/><area shape="rect" id="node39" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d" title="tetvol" alt="" coords="743,319,796,350"/><area shape="rect" id="node43" href="helastic_8c.html#a396340125882d5038a4dbdadc4468699" title="Helastic_Init" alt="" coords="384,210,477,241"/><area shape="rect" id="node45" href="helastic_8c.html#af12c767230bdb7467dd25210d5fefe50" title="ReadProp" alt="" coords="553,5,631,35"/><area shape="rect" id="node49" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="380,317,481,347"/><area shape="rect" id="node56" href="field_8h.html#a2866a2d9dd35b17789e06b1b79ab72cc" title="Hext_cu" alt="" coords="396,690,465,721"/><area shape="rect" id="node60" href="field_8h.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="396,503,465,534"/><area shape="rect" id="node78" href="field_8h.html#a30cb382d2ba1eb8b00264cf43ce43e05" title="Hext_kq" alt="" coords="396,557,465,587"/><area shape="rect" id="node82" href="field_8h.html#a66aec7a3ca42c0059d2b330ca937a555" title="Hext_py" alt="" coords="396,423,465,454"/><area shape="rect" id="node89" href="hexternal_8c.html#a3459c1707cc058f462cb730e78809f17" title="Hexternal_Init" alt="" coords="380,610,481,641"/><area shape="rect" id="node58" href="hext__cu_8c.html#ad490e336bf2582884e7e3191bd37891a" title="Hext_cu_Init" alt="" coords="545,743,639,774"/><area shape="rect" id="node62" href="ipol_8c.html#a3e2699b016b84132ec08d3795b951dd9" title="getscalf" alt="" coords="559,583,625,614"/><area shape="rect" id="node64" href="field_8h.html#a2e1ef17932652e8d616587011fb09c63" title="Hext_ho_hsweep" alt="" coords="532,477,652,507"/><area shape="rect" id="node66" href="hext__ho_8c.html#aa7f4b51477b5dcd5afd1f4b73ffde571" title="Hext_ho_Init" alt="" coords="545,637,639,667"/><area shape="rect" id="node76" href="util_8h.html#aa88f92d349ee3335807573e6ff373963" title="VecSetVec" alt="" coords="549,530,635,561"/><area shape="rect" id="node68" href="hext__ho_8c.html#aed1404d744513b58ba58166a487dcbdf" title="Hext_ho_hstep_Init" alt="" coords="703,610,836,641"/><area shape="rect" id="node72" href="hext__ho_8c.html#ad61d58b7779a7d182a09c9becae36af1" title="Hext_ho_ht_Init" alt="" coords="713,663,825,694"/><area shape="rect" id="node70" href="field_8h.html#a567e7efd2748f5b33963b581ed12626c" title="read_hstep_file" alt="" coords="887,610,996,641"/><area shape="rect" id="node74" href="ipol_8c.html#a7c6add33a29c7ae759615a08798ee75d" title="readht" alt="" coords="912,663,971,694"/><area shape="rect" id="node80" href="hext__kq_8c.html#aac24a1f9bfe67ce4a008a31375cb1d01" title="Hext_kq_Init" alt="" coords="545,690,639,721"/><area shape="rect" id="node84" href="hext__py_8c.html#a9570f5d09accfa97e676f862b1acb592" title="hext_f" alt="" coords="563,423,621,454"/><area shape="rect" id="node86" href="hext__py_8c.html#a53aac86dc06657ac5dc89f8f21bd4a70" title="Hext_py_Init" alt="" coords="545,370,639,401"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="htot_8c_a270a74fb6c65379e026cfb5c4de11443_icgraph.png" border="0" usemap="#htot_8c_a270a74fb6c65379e026cfb5c4de11443_icgraph_map" alt=""></div>
<map name="htot_8c_a270a74fb6c65379e026cfb5c4de11443_icgraph_map" id="htot_8c_a270a74fb6c65379e026cfb5c4de11443_icgraph">
<area shape="rect" id="node3" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="157,5,293,35"/><area shape="rect" id="node5" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="343,5,468,35"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="517,5,576,35"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="624,5,675,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a85ee39fe66d72226d10cb331fda60cd1"></a><!-- doxytag: member="htot.c::Htot_Init" ref="a85ee39fe66d72226d10cb331fda60cd1" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Htot_Init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="htot_8c_source.html#l00041">41</a> of file <a class="el" href="htot_8c_source.html">htot.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, and <a class="el" href="griddata_8h_source.html#l00259">GridData::VHtot</a>.</p>

<p>Referenced by <a class="el" href="htot_8c_source.html#l00055">Htot()</a>, and <a class="el" href="htot_8c_source.html#l00096">Htot_Gradient()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="htot_8c_a85ee39fe66d72226d10cb331fda60cd1_icgraph.png" border="0" usemap="#htot_8c_a85ee39fe66d72226d10cb331fda60cd1_icgraph_map" alt=""></div>
<map name="htot_8c_a85ee39fe66d72226d10cb331fda60cd1_icgraph_map" id="htot_8c_a85ee39fe66d72226d10cb331fda60cd1_icgraph">
<area shape="rect" id="node3" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="127,210,172,241"/><area shape="rect" id="node38" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="223,301,324,331"/><area shape="rect" id="node5" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="232,118,315,149"/><area shape="rect" id="node9" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1091,197,1149,227"/><area shape="rect" id="node34" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="935,90,1020,121"/><area shape="rect" id="node44" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="239,197,308,227"/><area shape="rect" id="node7" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="913,143,1041,174"/><area shape="rect" id="node16" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="403,146,480,177"/><area shape="rect" id="node21" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="395,93,488,123"/><area shape="rect" id="node13" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1093,143,1147,174"/><area shape="rect" id="node11" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1197,170,1248,201"/><area shape="rect" id="node18" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="559,301,684,331"/><area shape="rect" id="node23" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="583,197,660,227"/><area shape="rect" id="node28" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="575,93,668,123"/><area shape="rect" id="node25" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="733,197,864,227"/><area shape="rect" id="node30" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="772,93,825,123"/><area shape="rect" id="node40" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="373,301,509,331"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

